0

I have been using a RPi3 for the last year without any issues. I have had rpi-update as part of a regular update process (cron job). Lately I have been experiencing crashes. I started to investigate, and while there is nothing helpful in the syslog I saw the warning message that rpi-update updates to pre-releases of the linux kernel tree and Videocore firmware. That might be causing my crashing problems.

So how do I roll back to the latest stable Videocore firmware and kernel without reinstalling Raspbian?

3

"In normal circumstances there is NEVER a need to run rpi-update as it always gets you to the leading edge firmware and kernel and because that may be a testing version it could leave your RPi unbootable". https://www.raspberrypi.org/forums/viewtopic.php?p=916911#p916911 Even the rpi-update documentation now warns "Even on Raspbian you should only use this with a good reason. This gets you the latest bleeding edge kernel/firmware."

sudo apt-get update; sudo apt-get install --reinstall raspberrypi-bootloader raspberrypi-kernel will put it back to the latest supported kernel/bootcode.

  • Do that today and you'll get exactly the same kernel and firmware. Because they've rebuilt the Raspbian packages in last week. But your advice is generally the recommended process. – Dougie Aug 21 at 17:36
  • Thanks for the reinstall command - that was what I needed. Since the warning is now coming up when you call rpi-update I am aware of the problem. – user643011 Aug 21 at 21:41

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.